{
	saved_FirstTime[1] saved_stopfighting[0] 
	Init[()
	{
		if(saved_FirstTime = 1)
		{
			SetNationality(1); SetWander(0);
			gun = Random(1,2);
	 		switch(gun)
	 		{ case 1 { GiveWeapon(55); } case 2 { GiveWeapon(56); } }
			saved_FirstTime = 0;
		}
	}]
	

	DelayReached[(x)
	{
		if(x = 10)
		{
			if(not self.IsDead())
			{
				Hidem();	
			}	
		}
		if(x = 20)
		{
			if(not self.IsDead())
			{
				Killem();
			}
		}	
	}]
	
	Killem [()
	{
		Rdom = Random(3, 4);
		player=Level.GetPlayer();
		
		who = GetID();
		switch (who)
		{
			case "yard1"
			{

				TurnTo(player);
				Attack(player);
				SetWalking();
				PlayAnimation(13);
				Delay(Rdom, 10);		
			}
			case "yard2"
			{

				TurnTo(player);
				Attack(player);
				SetWalking();
				PlayAnimation(13);
				Delay(Rdom, 10);		
			}
			case "yard3"
			{

				TurnTo(player);
				Attack(player);
				SetWalking();
				PlayAnimation(13);
				Delay(Rdom, 10);		
			}
			
		}
	}]
	
	Hidem[()
	{
		Rdom = Random(1, 2);
		
		who = GetID();
		switch (who)
		{    
			case "yard1"
			{
				SetCrouching();
				SetState_Idle();
				PlayAnimation(10);
				Delay(Rdom, 20); 
			}
			case "yard2"
			{
				SetCrouching();
				SetState_Idle();
				PlayAnimation(10);
				Delay(Rdom, 20); 	
			}
			case "yard3"
			{
				SetCrouching();
				SetState_Idle();
				PlayAnimation(10);
				Delay(Rdom, 20); 		
			}
		}
	}]
}